CVE-2019-19479

Name
CVE-2019-19479
Description
An issue was discovered in OpenSC through 0.19.0 and 0.20.x through 0.20.0-rc3. libopensc/card-setcos.c has an incorrect read operation during parsing of a SETCOS file attribute.
NVD Severity
medium
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
Permissions Required https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=18693
Patch https://github.com/OpenSC/OpenSC/commit/c3f23b836e5a1766c36617fe1da30d22f7b63de2
Third Party Advisory https://bugzilla.redhat.com/show_bug.cgi?id=1782521
MLIST https://lists.debian.org/debian-lts-announce/2019/12/msg00031.html
MLIST http://www.openwall.com/lists/oss-security/2019/12/29/1
FEDORA https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/NDSQLMZZYBHO5X3BK7D6E7E6NZIMZDI5/

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:opensc_project:opensc:0.19.0:-:*:*:*:*:*:* opensc == None == 0.19.0
cpe:2.3:a:opensc_project:opensc:0.20.0:rc1:*:*:*:*:*:* opensc == None == 0.20.0

Vulnerable and fixed packages

Source package Branch Version Maintainer Status